
QGIS Application - Bug report #20998

Adding grid crashes QGIS

2019-01-14 09:56 PM - Peter Barrington

Status: Closed

Priority: Normal

Assignee: Peter Barrington

Category: Unknown

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28817

Description

User Feedback

Adding a grid.

Report Details

Crash ID: 34edf2b0f17434021aab9556355b5cfcd7d90daf

Stack Trace

QWidget::mapTo :

QWidgetPrivate::moveRect :

QApplication::windowIcon :

QApplication::windowIcon :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: commit:2f64a3c4e7

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
History

#1 - 2019-01-14 11:46 PM - Nyall Dawson

- Status changed from Open to Feedback

Please post more details -- do you mean a raster file grid? A layout map grid? A grid decoration?

We need step-by-step details on how to reproduce.

#2 - 2019-02-11 12:26 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
